Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.service
Class RealmAdapterAclResource

    java.lang.Object
      |
      +--weblogic.security.service.ResourceBase
            |
            +--weblogic.security.service.RealmAdapterAclResource

Deprecated. This class can be ignored.

The `RealmAdapterAclResource` class is used only for backwards compatibility when a specific ACL must be referenced by the server. Only the Realm Adapter Authorization provider need worry about it; other Authorization providers can just abstain on access decision requests regarding this role.

In sum, the JMS subsystem allows an ACL to be specified for a connection pool. When an ACL is specified in this manner, that ACL takes precedence over the default ACL. This functionality has been deprecated but is still supported in 7.0. When a specific ACL has been specified, there is no way to handle it in a 7.0 security provider (that is, it cannot be converted to a `JMSResource`). Instead, the JMS subsystem creates a `RealmAdapterAclResource`. This resource should only be handled by the Realm Adapter Authorization provider. Specifying an ACL for a JMS connection pool is not supported outside of Compatibility security.

The `toString` format for a Realm Adapter ACL resource is:
`type=<acl>, permission=admin, acl=my.custom.jms.acl`

public final class RealmAdapterAclResource
extends ResourceBase

Author:
  Copyright (c) 2002 by BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.security.service.ResourceBase
`id, length, NO_PARENT, parent, resStr, SCOPE_RESOURCE_ACTION, values`

Constructor Summary
`RealmAdapterAclResource(java.lang.String permission, java.lang.String acl)` Deprecated. Constructs a new `RealmAdapterAclResource` with a target name composed from the `permission` and `acl` parameters.

Method Summary
`java.lang.String[]` | `getKeys()` Deprecated. Gets keys for the `RealmAdapterAclResource`.
`java.lang.String` | `getType()` Deprecated. Gets the type of this resource (`RealmAdapterAclResource`).
`protected Resource` | `makeParent()` Deprecated. Gets a `Resource` object that represents the parent of the current `RealmAdapterAclResource`.

Methods inherited from class weblogic.security.service.ResourceBase
`appendArrayValue, appendValue, equals, getFieldType, getID, getParentResource, getRepeatingFieldIndex, getRepeatingFieldTerminatingIndex, getValues, hashCode, init, init, reset, toString, writeResourceString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RealmAdapterAclResource

    public RealmAdapterAclResource(java.lang.String permission,
                                   java.lang.String acl)

  Deprecated.
  Constructs a new `RealmAdapterAclResource` with a target name composed from the `permission` and `acl` parameters.

  Parameters:
    `permission` - the permission to test for the ACL, represented as a String.

    `acl` - the ACL to test, represented as a String. Identifies the different access lists within `fileRealm.properties` in the server config directory. It is the value of the old `aclName` property.

  See Also:
    Creating a Connection Pool Dynamically

Method Detail

### getType

    public java.lang.String getType()

  Deprecated.
  Gets the type of this resource (`RealmAdapterAclResource`).

  Returns:
    the type of this resource, represented as a String.

### makeParent

    protected Resource makeParent()

  Deprecated.
  Gets a `Resource` object that represents the parent of the current `RealmAdapterAclResource`. If the resource does not have a parent, the value of `null` must be returned.

  Returns:
    the `Resource` object of the parent resource.

  Overrides:
    makeParent in class ResourceBase

### getKeys

    public java.lang.String[] getKeys()

  Deprecated.
  Gets keys for the `RealmAdapterAclResource`.

  Returns:
    an array of Strings containing the `RealmAdapterAclResource`'s keys.

  Overrides:
    getKeys in class ResourceBase

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference